load "../gplot_common-base.gp"
load "../gplot_common-threads.gp"

set output "wct_comparison-1M-alfa_100.000.eps"
set title "Wall-Clock Time (WCT), {/Symbol a}=100, 10^6 extents"
set xlabel "Number of threads"
set ylabel "WCT (seconds, log scale)"
set key top left
set logscale y

plot \
"wct-brute_force-alfa_100.000.txt"      using 1:2 title "parallel BF"  with linespoints lw 2 lt 1 pt 1 lc 1 ps 1.2, \
"wct-interval_tree-alfa_100.000.txt"	using 1:2 title "parallel ITM" with linespoints lw 2 lt 4 pt 4 lc 4 ps 0.9, \
"wct-parallel_sort-alfa_100.000.txt"	using 1:2 title "parallel SBM" with linespoints lw 2 lt 6 pt 6 lc 6 ps 0.9

show key
show xlabel
show ylabel
show output

