#!/bin/bash

####################################################################
source configuration.sh
####################################################################

EXE="ddm"
EXECUTABLE="_bin/$EXE"
ALFA="100.000"
EXTENTS_PER_CORE="10000000"

for CORES in 1 2 4 6 8 10 12 14 16 18 20 22 24 26 28 30 32
do
	export OMP_NUM_THREADS=$CORES

	for ALG in $PAR_ALGORITHMS
	do

		FILENAME="exec_time-$ALG-cores_$CORES-alfa_$ALFA.txt"
		touch $FILENAME

		EXTENTS=$(($EXTENTS_PER_CORE * $CORES))
		echo $EXTENTS

		for RUN in {1..30}
		do
			echo "running >$EXE< $ALG $EXTENTS/$ALFA:$RUN"
			./$EXECUTABLE -s $ALG -n $EXTENTS -d 1 -a $ALFA
		done

		AVERAGE=`_bin/averager $ALG.txt`
		echo -e "$CORES\t$EXTENTS\t$AVERAGE" >> $FILENAME

		mv $ALG.txt _results/$EXE\_$ALG\_$EXTENTS\_1\_$2\_$ALFA.txt

		mv $FILENAME _graphs/
	done
done

unset OMP_NUM_THREADS
