#!/bin/bash

####################################################################
#
ALG="$1"
CORES="$2"
EXE="ddm"
EXECUTABLE="_bin/$EXE"
#
####################################################################
source configuration.sh
####################################################################

mkdir -p _results
mkdir -p _graphs

for ALFA in $ALFAS
do
	FILENAME="exec_time-$ALG-cores_$CORES-alfa_$ALFA.txt"
	touch $FILENAME

	EXTENTS=$START_EXTENTS

	while [ $EXTENTS -le "$MAX_EXTENTS" ]
	do

		for RUN in {1..50}
		do
			echo "running >$EXE< $ALG $EXTENTS/$ALFA:$RUN"
			./$EXECUTABLE -s $ALG -n $EXTENTS -d 1 -a $ALFA
		done

		AVERAGE=`_bin/averager $ALG.txt`
		echo -e "$EXTENTS\t$AVERAGE" >> $FILENAME

		mv $ALG.txt _results/$EXE\_$ALG\_$EXTENTS\_1\_$2\_$ALFA.txt

		let EXTENTS+=$STEP_SIZE
	done

	mv $FILENAME _graphs/
done
