/****************************************************************************
 *
 * interval.h
 *
 * This file is part of DDM
 *
 * Copyright (C) 2013, 2016 Moreno Marzolla
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef INTERVAL_H
#define INTERVAL_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * This struct represents the closed intnerval [lower, upper]
 */
struct interval {
    double lower;	/* lower bound */
    double upper;	/* upper bound */
    void* payload;      /* user-defined payload associated with this interval */
};

/**
 * Return 1 if intervals |x| and |y| intersect, 0 otherwise.
 */
int intersect( const struct interval* x, const struct interval* y );

#ifdef __cplusplus
}
#endif

#endif
