/****************************************************************************
 *
 * interval_tree_matching.h
 *
 * Interval-Tree matching
 *
 * Copyright (C) 2016 Moreno Marzolla
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef INTERVAL_TREE_MATCHING_H
#define INTERVAL_TREE_MATCHING_H

#include <stdlib.h>
#include "interval.h"

#ifdef __cplusplus
extern "C" {
#endif

    size_t interval_tree_matching( const struct interval* sub, size_t n,
                                   const struct interval* upd, size_t m );

#ifdef __cplusplus
}
#endif

#endif /* INTERVAL_TREE_MATCHING_H */
