#!/bin/bash

# Simple measurement script. 

N=50000000       ## number of extents
ALPHA=100        ## overlap degree
NREP=5           ## number of replications
ALGO="parallel_sort" ## algorithm to use
NPROC=`cat /proc/cpuinfo | grep processor | wc -l`
OMP_VARS="OMP_PROC_BIND=TRUE GOMP_CPU_AFFINITY=\"0-$NPROC\""

echo "# N $N"
echo "# ALPHA $ALPHA"
echo "# NREP $NREP"
echo "# ALGO $ALGO"
echo "# OMP_VARS $OMP_VARS"
echo -n "# " 
uname -a
for P in `seq $NPROC`; do
    EXECTIME=0
    N0=`bc <<< "$N * $P"`
    for r in `seq $NREP`; do
        CMD="$OMP_VARS OMP_NUM_THREADS=$P ./ddm -s $ALGO -n $N -a $ALPHA"
        TT=`eval $CMD  | grep matches | cut -d ' ' -f 3`
        EXECTIME=`bc -l <<< "$EXECTIME + $TT"`
    done
    EXECTIME=`bc -l <<< "$EXECTIME / $NREP"`
    echo "$P $EXECTIME"
done
